% converter.m
%
% convert an excel data file into the data structure used by FDEMtools

% read vertical data from excel file explorer.xlsx (sheet 1) 
[num txt raw] = xlsread('example',1);

data = num; % data for the input model

n = size(data,1);       % number of layers
z = data(:,2);          % depth vector
sigma = data(:,3);		% conductivity (S/m) 
mur = data(:,4);		% relative premeability
mu0 = pi*4e-7;			% permeability of free space 
mu = mu0*mur;			% permeability


% create data structure
FDEMmodel.name = 'example';
FDEMmodel.z = z;
FDEMmodel.sigma = sigma;
FDEMmodel.mu = mu;
FDEMmodel.info = 'example';
FDEMmodel

save(FDEMmodel.name,'FDEMmodel')

