function I = fdemsimp(f,h)
%FDEMSIMP compute an integral by Simpson's rule
%   compute an integral given values of an function at equispaced
%   point
%   I = fdemsimp(f,h)
%   where
%      f  - array of function values
%      h  - step for Simpson's rule
%   and
%      I = integral value

%   G.P. Deidda, P. Díaz de Alba, and G. Rodriguez
%   University of Cagliari, Italy
%
%   Last revised January, 2023

n = length(f);

if rem(n,2)==0
    f = [f 0];
end

if n < 5
	I = 0;
else
	I = h/3*(f((1))+2*sum(f((3:2:end-2)))+4*sum(f((2:2:end)))+f((end)));
end

